Subject: Re: pthreads ?
From: Jim Shiu <[email-masked]>
To: [email-masked]
Date: Tue, 29 Aug 2000 11:25:23 +0800

Following some early post(s) in this newsgroup or somewhere else,
I once installed pthreads-win32 under cygwin in the following way
    - copy pthread.lib to /usr/local/lib/libpthread.a
      copy pthread.dll to /usr/local/bin
      copy pthread.h to /usr/local/include

However,  after some un-install, re-install and so on, gcc does not
use header files in /usr/local/include if I do not put
-I/usr/local/include in
the makefile. So now I install pthreads-win32 by
    - copy pthread.lib to /usr/local/lib/libpthread.a
      copy pthread.dll to /usr/local/bin
      rename /usr/include/pthread.h to pthread-old.h
      copy pthread.h to /usr/include

I have used pthread_cancel(), pthread_create(),
pthread_mutex_lock(), pthread_mutex_unlock(),
pthread_cond_signal() and pthread_cond_timedwait()
in my programs and they seem to work fine.

Shiu

Chris Faylor wrote:

> On Mon, Aug 28, 2000 at 01:38:11PM -0500, Matt Minnis wrote:
> >Redhat has a link to more software off the sourceware homepage.
> >
> >There is a PThreads project there.
> >http://sources.redhat.com/pthreads-win32/
>
> AFAIK, this project does not work with cygwin, which is why I didn't
> mention it.
>
> If you need POSIX + pthreads, the only alternative, I believe, is to
> use (and augment) cygwin.
>
> cgf
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]